summaryrefslogtreecommitdiff
path: root/share/hydractl/backup-restore-gitosis
diff options
context:
space:
mode:
Diffstat (limited to 'share/hydractl/backup-restore-gitosis')
-rwxr-xr-xshare/hydractl/backup-restore-gitosis16
1 files changed, 16 insertions, 0 deletions
diff --git a/share/hydractl/backup-restore-gitosis b/share/hydractl/backup-restore-gitosis
index e69de29..d430693 100755
--- a/share/hydractl/backup-restore-gitosis
+++ b/share/hydractl/backup-restore-gitosis
@@ -0,0 +1,16 @@
+#!/bin/bash
+#
+# Gitosis backup restoration.
+#
+# TODO
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+hydra_backup_environment $*
+
+# Check if folder exist on the backup
+# Check if there's already a site folder and backup it
+# Copy site folder from backup
+# Fix permissions